"""Tasks that are scheduled to run periodically in :term:`GSO`."""

from orchestrator.schedules import SchedulingFunction  # type:ignore[attr-defined]

from gso.schedules.validate_routers_nightly import run_validate_routers

#  TODO: This list overwrites the default, and therefore leaves all default schedules unused.
#  TODO: Consider using the default schedules.
ALL_SCHEDULERS: list[SchedulingFunction] = [run_validate_routers]
